Item Logo
Wms apiApi referenceOutbound api

Shipping Labels Upload

Shipping Labels Upload API

Upload labels for outbound order. This article introduces the general Shipping Label Upload API use case for easily understanding and applying this API.

Introduction

The Upload Labels API allows user to upload shipping labels to the system. This ensure that labels generated from external sources or third-party systems can be stored and utilized within WMS.

The main purpose of this API is to provide a seamless integration for shipping label management, allowing users to import labels into the system, which can then be used for outbound shipments. This helps streamline the shipping process by centralizing label handling within the system.

API Request

API: POST /edi/outbound/order/file-upload Body Request:


FieldName

Description

DataType

Length

Required

Version

Sample

Root








1

CompanyID

Company ID

string

15

Yes

1.3

"LT"

2

FacilityID

Facility Id

string

15

Yes

1.3

"889"

3

CustomerID

Customer Id

string

15

Yes

1.3

"AUKINT0001"

4

ReferenceNo

Reference Number

string

50

Yes

1.3

"LIV2020021804-10"

6

DocumentType

Document Type

string

50

Yes

1.3.3

Available Value:<br />------------------------<br />BOL<br />Packing List<br />Pallet Label (4" x 6")<br />Shipping Label (4" x 6")<br />Shipping Label (4" x 8")<br />Shipping Label (Letter)<br />UCC Label (4" x 6")

7

TrackingNo

Tracking Number for shipping label

string

50

No<br />(Required if upload shipping labels)

1.3.3

"1Z12345688ABC"

8

SubTrackingNos

All tracking numbers for shipping lables

array


No

1.3.4

["1Z12345688ABC1", "1Z12345688ABC2", "1Z12345688ABC3"]

9

FileData

File Data

string


Yes

1.3.3

BASE64 of the file

10

FileName

File Name

string

50

Yes

1.3.3

"bol.png"

Example

Request

json { "FacilityID": "889", "CompanyID": "LT", "CustomerID": "AUKINT0001", "ReferenceNo": "Roy022501-1", "DocumentType": "BOL", "TrackingNo": "", "FileData": "iVBORw0KGgoAAAANSUhEUgAAAtoAAALiCAYAAADnx3HzAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAAFiUAABYlAUlSJPAAAP+lSURBVHhe7N0H2G9VdSf+2....", "FileName": "bol.png" }